import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { c as checkCircleFilled } from './check-circle-filled.js';
import { d as defineCustomElement$2 } from './telia-icon2.js';
import { d as defineCustomElement$1 } from './telia-vst2.js';

const teliaFieldValidCss = ":host{color:#008641;display:inline-block;height:calc(2.4rem * var(--voca-rem-multiplier));width:calc(2.4rem * var(--voca-rem-multiplier))}";

const TeliaFieldValid = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return h("telia-icon", { size: "md", svg: checkCircleFilled.svg });
  }
  static get style() { return teliaFieldValidCss; }
}, [1, "telia-field-valid", {
    "dataTestid": [1, "data-testid"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["telia-field-valid", "telia-icon", "telia-vst"];
  components.forEach(tagName => { switch (tagName) {
    case "telia-field-valid":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TeliaFieldValid);
      }
      break;
    case "telia-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "telia-vst":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { TeliaFieldValid as T, defineCustomElement as d };
